package com.zhyc.module.biosafety.service;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwUnit;

/**
 * 药品单位Service接口
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
public interface ISwUnitService 
{
    /**
     * 查询药品单位
     * 
     * @param id 药品单位主键
     * @return 药品单位
     */
    public SwUnit selectSwUnitById(Long id);

    /**
     * 查询药品单位列表
     * 
     * @param swUnit 药品单位
     * @return 药品单位集合
     */
    public List<SwUnit> selectSwUnitList(SwUnit swUnit);

    /**
     * 新增药品单位
     * 
     * @param swUnit 药品单位
     * @return 结果
     */
    public int insertSwUnit(SwUnit swUnit);

    /**
     * 修改药品单位
     * 
     * @param swUnit 药品单位
     * @return 结果
     */
    public int updateSwUnit(SwUnit swUnit);

    /**
     * 批量删除药品单位
     * 
     * @param ids 需要删除的药品单位主键集合
     * @return 结果
     */
    public int deleteSwUnitByIds(Long[] ids);

    /**
     * 删除药品单位信息
     * 
     * @param id 药品单位主键
     * @return 结果
     */
    public int deleteSwUnitById(Long id);
}
